---
title: Box alignment in Multi-column Layout
slug: Web/CSS/CSS_Box_Alignment/Box_Alignment_in_Multi-column_Layout
tags:
  - CSS
  - Guide
  - box alignment
  - multi-column
---
<p>{{CSSRef}}</p>

<p class="summary">The <a href="/en-US/docs/Web/CSS/CSS_Box_Alignment">Box Alignment</a> Specification details how alignment works in various layout methods; on this page we explore how Box Alignment works in the context of <a href="/en-US/docs/Web/CSS/CSS_Columns">Multi-column Layout</a>. As this page aims to detail things which are specific to Multi-column Layout and Box Alignment, it should be read in conjunction with the main <a href="/en-US/docs/Web/CSS/CSS_Box_Alignment">Box Alignment</a> page which details the common features of Box Alignment across layout methods.</p>

<p>In multi-column layout the alignment container is the content box of the multicol container. The alignment subject is the column box. The properties which apply to multi-column layouts are detailed below.</p>

<div class="note">
<p><strong>Note</strong>: Multi-column Layout predates the Box Alignment specification. and the properties listed here, while specified for Multicol, may not be supported in browsers.</p>
</div>

<h2 id="align-content_and_justify-content">align-content and justify-content</h2>

<p>The {{cssxref("align-content")}} property applies to the block axis and {{cssxref("justify-content")}} to the inline axis. Any spacing added to the columns due to use of space distribution will be added to the gap between the columns, therefore making the gap larger than might be specified by the {{cssxref("column-gap")}} property.</p>

<p>Using a value of <code>justify-content</code> other than <code>normal</code> or <code>stretch</code> will cause column boxes to display at the {{cssxref("column-width")}} specified on the multicol container, and the remaining space distributed according to the value of justify-content.</p>

<h2 id="column-gap">column-gap</h2>

<p>The {{cssxref("column-gap")}} property was specified in earlier versions of the multiple-column layout specification, and has now been unified with the gap properties for other layout methods in box alignment. While other layout methods treat the initial value of column-gap as 0 multicol treats it as 1em, as in general you would not want to have no gap between columns.</p>

<h2 id="Reference">Reference</h2>

<h3 id="CSS_Properties">CSS Properties</h3>

<div class="index">
<ul>
 <li>{{cssxref("justify-content")}}</li>
 <li>{{cssxref("align-content")}}</li>
 <li>{{cssxref("column-gap")}}</li>
</ul>
</div>

<h3 id="Glossary_Entries">Glossary Entries</h3>

<div class="index">
<ul>
 <li><a href="/en-US/docs/Glossary/Alignment_Subject">Alignment subject</a></li>
 <li><a href="/en-US/docs/Glossary/Alignment_Container">Alignment container</a></li>
 <li><a href="/en-US/docs/Glossary/Fallback_Alignment">Fallback alignment</a></li>
</ul>
</div>
